<?php
/**
 * FiloBlu srl
 *
 * @category   FiloBlu
 * @package    FiloBlu_Idea
 * @copyright  FiloBlu srl (http://www.filoblu.com)
 *
 */

namespace FiloBlu\WhatsappWidget\Helper;


class Data extends \Magento\Framework\Url\Helper\Data
{
    /**
     * Core store config
     * @var \Magento\Framework\App\Config\ScopeConfigInterface
     */
    protected $_scopeConfig;

    /*
    * @var \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
    */
    public function __construct(
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
    )
    {
        $this->_scopeConfig = $scopeConfig;
    }

    public function getWhatsappConfigValue($configName)
    {
        switch ($configName) {
            case 'widget_enabled': 
                return $this->_scopeConfig->getValue(
                    'filoblu_whatsapp_widget_section/whatsapp_widget/widget_enabled'
                );

            case 'whatsapp_label_text':
                return $this->_scopeConfig->getValue(
                    'filoblu_whatsapp_widget_section/whatsapp_widget/whatsapp_label_text'
                );

            case 'whatsapp_text_color':
                return $this->_scopeConfig->getValue(
                    'filoblu_whatsapp_widget_section/whatsapp_widget/whatsapp_text_color'
                );

            case 'whatsapp_background_color':
                return $this->_scopeConfig->getValue(
                    'filoblu_whatsapp_widget_section/whatsapp_widget/whatsapp_background_color'
                );

            case 'whatsapp_button_position':
                return $this->_scopeConfig->getValue(
                    'filoblu_whatsapp_widget_section/whatsapp_widget/whatsapp_button_position'
                );

            default:
                throw new \InvalidArgumentException("Please provide a valid whatsapp_widget config field name");
        }
    }
}